using Decimation.Lib.Items;
using Terraria;

namespace Decimation.Content.Projectiles
{
    public class HourHandProjectile : DecimationProjectile
    {
        protected override int AnimationFrames => 4;
        protected override DecimationWeapon.DamageType DamageType => DecimationWeapon.DamageType.Ranged;
        protected override int Damages => 45;

        protected override void Init()
        {
            projectile.width = 10;
            projectile.height = 10;
            projectile.timeLeft = 600;
            projectile.penetrate = 1;
            projectile.aiStyle = 8;
            aiType = 253;
        }

        public override bool PreAI()
        {
            Lighting.AddLight(projectile.Center, 0f, 0f, 1f);
            projectile.rotation = projectile.velocity.ToRotation();

            return base.PreAI();
        }
    }
}